Package ru.bitel.bgbilling.modules.smarthouse.common.service

# Interface SmartHousePackageService

public interface SmartHousePackageService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<IdTitle>`
  `npayModules()`
  `List<IdTitle>`
  `npayServices(int moduleId)`
  `void`
  `packageBaseOptionUpdate(int packageBaseId, String optionNames)`
  `SearchResult<SmartHousePackageBase>`
  `packageBaseSearch(String title, boolean showOld, String[] sort, Page page)`
  `void`
  `packageContractDelete(int contractId, int id)`
  `SmartHousePackageContract`
  `packageContractGet(int contractId, int packageContractId)`
  `int[]`
  `packageContractNavigationIds(int contractId, int packageContractId)`
  `SearchResult<SmartHousePackageContract>`
  `packageContractSearch(int contractId, boolean showOld, String[] sort, Page page)`
  `SmartHousePackageContract`
  `packageContractUpdate(SmartHousePackageContract packageContract)`
  `SmartHousePackageOption`
  `packageOptionGet(int packageOptionId)`
  `List<SmartHousePackageOption>`
  `packageOptionList()`
  `SmartHousePackageOption`
  `packageOptionUpdate(SmartHousePackageOption packageOption)`
  `List<String>`
  `serviceList()`
  `SmartHousePackageBase`
  `smartHousePackageBaseGet(int basePackageId)`
  `List<IdTitle>`
  `smartHousePackageBaseList()`
  `SmartHousePackageBase`
  `smartHousePackageBaseUpdate(SmartHousePackageBase packageBase)`

- ## Method Details

  - ### packageBaseSearch

    SearchResult<SmartHousePackageBase> packageBaseSearch(String title, boolean showOld, String[] sort, Page page) throws Exception
    Throws:
      `Exception`

  - ### smartHousePackageBaseGet

    SmartHousePackageBase smartHousePackageBaseGet(int basePackageId) throws Exception
    Throws:
      `Exception`

  - ### smartHousePackageBaseUpdate

    SmartHousePackageBase smartHousePackageBaseUpdate(SmartHousePackageBase packageBase) throws Exception
    Throws:
      `Exception`

  - ### packageBaseOptionUpdate

    void packageBaseOptionUpdate(int packageBaseId, String optionNames) throws Exception
    Throws:
      `Exception`

  - ### smartHousePackageBaseList

    List<IdTitle> smartHousePackageBaseList() throws Exception
    Throws:
      `Exception`

  - ### packageContractSearch

    SearchResult<SmartHousePackageContract> packageContractSearch(int contractId, boolean showOld, String[] sort, Page page) throws Exception
    Throws:
      `Exception`

  - ### packageContractUpdate

    SmartHousePackageContract packageContractUpdate(SmartHousePackageContract packageContract) throws Exception
    Throws:
      `Exception`

  - ### packageContractDelete

    void packageContractDelete(int contractId, int id) throws Exception
    Throws:
      `Exception`

  - ### packageContractGet

    SmartHousePackageContract packageContractGet(int contractId, int packageContractId) throws Exception
    Throws:
      `Exception`

  - ### packageContractNavigationIds

    int[] packageContractNavigationIds(int contractId, int packageContractId) throws Exception
    Throws:
      `Exception`

  - ### packageOptionList

    List<SmartHousePackageOption> packageOptionList() throws Exception
    Throws:
      `Exception`

  - ### packageOptionGet

    SmartHousePackageOption packageOptionGet(int packageOptionId) throws Exception
    Throws:
      `Exception`

  - ### packageOptionUpdate

    SmartHousePackageOption packageOptionUpdate(SmartHousePackageOption packageOption) throws Exception
    Throws:
      `Exception`

  - ### serviceList

    List<String> serviceList() throws Exception
    Throws:
      `Exception`

  - ### npayModules

    List<IdTitle> npayModules() throws Exception
    Throws:
      `Exception`

  - ### npayServices

    List<IdTitle> npayServices(int moduleId) throws Exception
    Throws:
      `Exception`